function im2 = drawResult(img, objRect)


line_width = 2;

if max(img(:))>1
    color = [255 0 0];
else 
    color = [1 0 0];
end

top = objRect(2);
left = objRect(1);
w = objRect(3);
h = objRect(4);

R = color(1);
G = color(2);
B = color(3);

t = line_width;      % line width

[r c ch] = size(img);
if ch == 3
    im2 = img;
else
    im2(:,:,1) = img;
    im2(:,:,2) = img;
    im2(:,:,3) = img;
end

%top line
im2( top: top+ t, left:left + w - 1, 1) = R;im2( top: top+ t, left:left + w - 1, 2) = G;im2( top: top+ t, left:left + w - 1, 3) = B;
%right line
im2( top:top+h-1, left+w-1-t:left+w-1,1) = R;  im2( top:top+h-1, left+w-1-t:left+w-1,2) = G; im2( top:top+h-1, left+w-1-t:left+w-1,3) = B;
%bottom line
im2(top+h-1-t:top+h-1 , left : left+w-1,1) = R; im2(top+h-1-t:top+h-1 , left : left+w-1,2) = G; im2(top+h-1-t:top+h-1, left : left+w-1,3) = B;
%left line
im2(top:top+h-1, left:left+t,1) = R;     im2(top:top+h-1, left:left+t,2) = G ;   im2(top:top+h-1, left:left+t,3) = B;