function img = getFrame(seq, t)

chlImg = seq.chlImg;
% img = zeros(seq.szImg(1), seq.szImg(2),chlImg);
if isfield(seq, 'folder')
    nz = strcat('%0',num2str(seq.numZ),'d'); %number of zeros in the name of image
    id = sprintf(nz, t + seq.numStart -1);
    fileName = [seq.folder, id, '.', seq.ext];
    imgSrc = imread(fileName);
    
    [row col chl] = size(imgSrc);
    
    if chl == chlImg
        img = imgSrc;
    elseif chl == 3 && chlImg == 1
        img = rgb2gray(imgSrc);
    else
        img(:,:,1) = imgSrc;
        img(:,:,2) = imgSrc;
        img(:,:,3) = imgSrc;
    end
else
    if chlImg == 1
        img = seq.data(:,:,t);
    else 
        img = seq.data(:,:,:,t);
    end
end
img = double(img);