clc, clear, close all

addpath solver
addpath pf

%%
% paraD: contain information about the seqence
% paraT: contain parameters for the tracker
%set up the sequence to be tracked and the tracking approach to be used
paraD.name = 'owl'; % owl,face,body,car1,car2,car3,car4
paraT.name = 'blut';
%%
%set up the data parameter and the tracking approach parameter
[paraD paraT] = paramConfig(paraD,paraT);
%%
seq = paraD;
seq.chlImg = paraT.chlImg;%use this parameter to handle the imput image: gray or color image will be used for analysis

%%
%the main function to do tracking
process(seq, paraT);




