function imgSample = cropPtclSamples(im, particle)

szBasis = particle.szBasis;
nsamples = particle.num;
imgSample = ones(prod(szBasis), nsamples);
sampleResized = zeros(szBasis);

for i = 1:nsamples
    
    if  particle.status(i)
        imgPatch = im( particle.rect(2, i) : particle.rect(2, i) + particle.rect(4, i)-1 ,...
            particle.rect(1, i) : particle.rect(1, i) + particle.rect(3, i)-1, : ) ;
        
        sampleResized = imresize(imgPatch, szBasis);
        
        imgSample(:,i) = sampleResized(:);%reshape(sampleResized, prod(szTemplate), 1);
        

        MN = size(imgSample(:,i),1);
        a = mean(imgSample(:,i));
        b = std(imgSample(:,i));
        imgSample(:,i) = (imgSample(:,i) - ones(MN,1)*a) ./ (ones(MN,1)*b);
        imgSample(:,i) = imgSample(:,i)/norm(imgSample(:,i));
          
    end
end

